package cn.minbb.server.controller;

import cn.minbb.server.beans.User;
import cn.minbb.server.service.UserService;
import com.alibaba.dubbo.config.annotation.Reference;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RequestMapping
@RestController
public class MainController {

    @Reference
    private UserService userService;

    @GetMapping
    public String run() {
        return "server is running...";
    }

    @GetMapping("users")
    public List<User> users() {
        return userService.findAll();
    }
}
